Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/discount-code/{discountCode_code} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "bbc4a345-c871-3fa9-acca-9a283971c770",
"status": "draft",
"placed_at": "2025-06-06T03:24:29.0000000+00:00",
"expires_at": "2026-03-11T14:05:31.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"total_before_tax": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"enabled_free_checkout": false
}
}Apply Discount Code to Order
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/discount-code/{discountCode_code} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "bbc4a345-c871-3fa9-acca-9a283971c770",
"status": "draft",
"placed_at": "2025-06-06T03:24:29.0000000+00:00",
"expires_at": "2026-03-11T14:05:31.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"total_before_tax": {
"currency": "USD",
"amount": "6893.00",
"amount_minor": 689300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"enabled_free_checkout": false
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
Show child attributes